cancel
Showing results for 
Search instead for 
Did you mean: 

Unable to deploy Netbackup vSphere client HTML5 plugin

Hello Colleagues,

I am trying to deploy the Netbackup vSphere client HTML5 plugin without succes. The plugin is installed in the vCenter server but it fails in the deploy step.

My versions: NBU 8.3.0.1 (installed on RHEL 8.1) and vCenter Server Appliance 7.0.2.

Backups/restore of VMware VMs are running properly.

-In vSphere client, plugins I see the "Netbackup Plug-in for VMware vSphere Web Client" version 8.3.0.0 with Failed status.

-In the vsphere_client_virgo.log I see the following messages:

[2021-03-21T19:43:12.155-03:00] [INFO ] plugin-validation1 com.vmware.vise.extensionfw.impl.OsgiUsageValidationService Started validation of OSGi bad practices.
[2021-03-21T19:43:12.156-03:00] [ERROR] async-task-executor-pool-823 com.vmware.vise.vim.extension.VcExtensionManager Deployment of plugin package: 'com.symantec.netbackup.plugin:8.3.0.0' registered in vCenter Server: 'vcsa.proudomelabs.com (7e1757b5-741a-43f5-9c38-1f113fd7e465)' has failed. java.util.concurrent.CompletionException: com.vmware.vise.plugin.deploy.PluginDeploymentException: Deployment of plugin: 'com.symantec.netbackup.plugin:8.3.0.0' in vCenter server: 'vcsa.proudomelabs.com (7e1757b5-741a-43f5-9c38-1f113fd7e465)' failed!
at java.util.concurrent.CompletableFuture.encodeThrowable(CompletableFuture.java:273)
at java.util.concurrent.CompletableFuture.completeThrowable(CompletableFuture.java:280)
at java.util.concurrent.CompletableFuture$AsyncRun.run(CompletableFuture.java:1643)
at com.vmware.vise.util.concurrent.QueuingCachedThreadPool$2.call(QueuingCachedThreadPool.java:873)
at java.util.concurrent.FutureTask.run(FutureTask.java:266)
at com.vmware.vise.util.concurrent.QueuingCachedThreadPool$QueueProcessor.run(QueuingCachedThreadPool.java:1271)
at java.util.concurrent.Executors$RunnableAdapter.call(Executors.java:511)
at java.util.concurrent.FutureTask.run(FutureTask.java:266)
at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1149)
at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:624)
at com.vmware.vise.util.concurrent.WorkerThreadFactory$1.run(WorkerThreadFactory.java:64)
at java.lang.Thread.run(Thread.java:748)
Caused by: com.vmware.vise.plugin.deploy.PluginDeploymentException: Deployment of plugin: 'com.symantec.netbackup.plugin:8.3.0.0' in vCenter server: 'vcsa.proudomelabs.com (7e1757b5-741a-43f5-9c38-1f113fd7e465)' failed!
at com.vmware.vise.plugin.async.task.PluginDeployTask.run(PluginDeployTask.java:42)
at java.util.concurrent.CompletableFuture$AsyncRun.run(CompletableFuture.java:1640)
... 9 common frames omitted

[2021-03-21T19:43:12.156-03:00] [INFO ] async-task-executor-pool-823 com.vmware.vise.plugin.registry.VcExtensionStateRegistry Updating entry: Plugin: 'com.symantec.netbackup.plugin:8.3.0.0', State: 'FAILED_DEPLOY'

Thanks and best regards

oolmedo

Tags (2)
3 Replies

Re: Unable to deploy Netbackup vSphere client HTML5 plugin

Hi,

Did you get a resolution ?

Re: Unable to deploy Netbackup vSphere client HTML5 plugin

Is this the first time you are installing the NetBackup vSphere web client?

Make sure your environment satisfies the pre-requisites for it. See: https://www.veritas.com/content/support/en_US/doc/95632443-140919858-0/v97544482-140919858

Especially, as your VMware admins double-check the vCenter privileges for monitoring https://www.veritas.com/content/support/en_US/doc/95632443-140919858-0/v97545160-140919858

 

Re: Unable to deploy Netbackup vSphere client HTML5 plugin

Hello X2, thanks for your reply.

Actually, I have checked the requisites for the environment and the vSphere used in the customer is not a new installation, he is using vSphere client (not the web client) and the version is 7 update 1.

I have open a case with Veritas support and I have configured a lab environment, testing different update version of vSphere (7 update 2 and 7 update 1) and finally testing NBU version 9.

As a conclusion, the Netbackup HTML5 vSphere client plugin is not compatible with vSphere version 7 (there is a installation guide for 8.3 of the HTML5 plugin, this is confused, but this document is wrong). In order to use the html5 plugin, the NBU version must be 9. I have validated this with Veritas support. 

I hope this information will be usefull for those colleagues that have the same concerns and needs.

 

Thanks and best regards

 

Osvaldo